isWet = GetBoolParam("isWet", false)

function init()
	trigger = FindTrigger()
	WetSound = LoadLoop("MOD/sound/cave-wet.ogg")
	DrySound = LoadLoop("MOD/sound/cave-dry.ogg")
end

function update(dt)
	if IsPointInTrigger(trigger, GetPlayerPos()) then
		if isWet then 
			PlayLoop(WetSound, GetPlayerPos())
		else
			PlayLoop(DrySound, GetPlayerPos())
		end
	end
end